---
lang: en
title: 'API docs: context.injection'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.injection.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [Injection](./context.injection.md)

## Injection interface

Descriptor for an injection point

**Signature:**

```typescript
export interface Injection<ValueType = BoundValue> 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[bindingSelector](./context.injection.bindingselector.md)


</td><td>


</td><td>

[BindingSelector](./context.bindingselector.md)<!-- -->&lt;ValueType&gt;


</td><td>


</td></tr>
<tr><td>

[member?](./context.injection.member.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_


</td></tr>
<tr><td>

[metadata](./context.injection.metadata.md)


</td><td>


</td><td>

[InjectionMetadata](./context.injectionmetadata.md)


</td><td>


</td></tr>
<tr><td>

[methodDescriptorOrParameterIndex?](./context.injection.methoddescriptororparameterindex.md)


</td><td>


</td><td>

TypedPropertyDescriptor&lt;ValueType&gt; \| number


</td><td>

_(Optional)_


</td></tr>
<tr><td>

[resolve?](./context.injection.resolve.md)


</td><td>


</td><td>

[ResolverFunction](./context.resolverfunction.md)


</td><td>

_(Optional)_


</td></tr>
<tr><td>

[target](./context.injection.target.md)


</td><td>


</td><td>

Object


</td><td>


</td></tr>
</tbody></table>


